Package org.kie.internal.runtime.manager.audit.query

## Interface NodeInstanceLogDeleteBuilder

- All Superinterfaces:
    `AuditDateDeleteBuilder<NodeInstanceLogDeleteBuilder>`, `AuditDeleteBuilder<NodeInstanceLogDeleteBuilder>`, `ParametrizedQueryBuilder<NodeInstanceLogDeleteBuilder>`

      public interface NodeInstanceLogDeleteBuilder
      extends AuditDateDeleteBuilder<NodeInstanceLogDeleteBuilder>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NodeInstanceLogDeleteBuilder` | `externalId​(String... externalId)` | Specify externalId to be used as criteria on the externalId field.
    `NodeInstanceLogDeleteBuilder` | `nodeId​(String... nodeId)` | Specify one or more node ids to use as a criteria.
    `NodeInstanceLogDeleteBuilder` | `nodeInstanceId​(String... nodeInstanceId)` | Specify one or more node instance ids to use as a criteria.
    `NodeInstanceLogDeleteBuilder` | `nodeName​(String... name)` | Specify one or more node names to use as a criteria.
    `NodeInstanceLogDeleteBuilder` | `workItemId​(long... workItemId)` | Specify one or more work item ids associated with a node to use as a criteria.

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder

      `date, dateRangeEnd, dateRangeStart`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### workItemId

          NodeInstanceLogDeleteBuilder workItemId​(long... workItemId)

      Specify one or more work item ids associated with a node to use as a criteria.
      Parameters:
        `workItemId` - one or more long work item ids
      Returns:
        The current query builder instance

    - #### nodeInstanceId

          NodeInstanceLogDeleteBuilder nodeInstanceId​(String... nodeInstanceId)

      Specify one or more node instance ids to use as a criteria.
      Parameters:
        `nodeInstanceId` - one or more string node instance ids
      Returns:
        The current query builder instance

    - #### nodeId

          NodeInstanceLogDeleteBuilder nodeId​(String... nodeId)

      Specify one or more node ids to use as a criteria.
      Parameters:
        `nodeId` - one or more string node ids
      Returns:
        The current query builder instance

    - #### nodeName

          NodeInstanceLogDeleteBuilder nodeName​(String... name)

      Specify one or more node names to use as a criteria.
      Parameters:
        `name` - one or more string node names
      Returns:
        The current query builder instance

    - #### externalId

          NodeInstanceLogDeleteBuilder externalId​(String... externalId)

      Specify externalId to be used as criteria on the externalId field.
      Parameters:
        `externalId` - identifier that defines custom id
      Returns:
        The current query builder instance